Cut or Extrude in the face selected

 

Olá boa tarde!

Por gentileza, alguém saberia me dizer como posso criar um “cut ou extrude” a partir da face selecionada?

Hello good afternoon!

Please someone tell me how can I create a "cut or Extrud" from the selected face?

 

Grateful

Edson Jesus

 

Posted by: Edson Silva de Jesus
Post date: 6/22/2010 10:50:57 AM

4 REPLIES

RE: Cut or Extrude in the face selected

You must have a Profile and make an ExtrudedCutouts in Model of the Part

so like this:

Dim objExtCut As SolidEdgePart.ExtrudedCutout

objDoc = objApp.ActiveDocument 'is a opened Part

Dim objSelSet As SolidEdgeFramework.SelectSet = objDoc.SelectSet

Dim objMod As SolidEdgePart.Model = objDoc.Models.Item(1)

Dim objProfileSet As SolidEdgePart.ProfileSet = objDoc.ProfileSets.Add

Dim objProfile As SolidEdgePart.Profile = objProfileSet.Profiles.Add(objSelSet.Item(1))

'ex. create a Circle

objProfile.Circles2d.AddByCenterRadius(0, 0, 0.015)

' Check if the Profile is closed

objProfile.End(SolidEdgePart.ProfileValidationType.igProfileClosed)

'make an ExtrudedCutout

objExtCut = objMod.ExtrudedCutouts.AddFinite(objProfile, SolidEdgePart.FeaturePropertyConstants.igLeft, SolidEdgePart.FeaturePropertyConstants.igRight, 0.01)

objProfile.Visible = False

...

 

 

Posted by: JR
Post date: 6/23/2010 1:29:11 AM

RE: Cut or Extrude in the face selected

Thanks JR, functioned satisfactorily.

To select a face part, would have to create a reference plane?

 

Posted by: Edson Silva de Jesus
Post date: 6/23/2010 2:28:55 AM

RE: Cut or Extrude in the face selected

no,you need a new Profile, like this:

Dim numProf As Integer

Dim allProf(1) As Object 'SolidEdgePart.Profile

Dim objFeature As SolidEdgePart.ExtrudedProtrusion = objMod.Features.Item(1)

objFeature.GetProfiles(numProf, allProf)

Dim objProfile As SolidEdgePart.Profile = objProfileSet.Profiles.Add(allProf(0).Plane)

 

Posted by: JR
Post date: 6/23/2010 3:15:18 AM

RE: Cut or Extrude in the face selected

JR thanks for the feedback.

Edson Jesus

 

 

Posted by: Edson Silva de Jesus
Post date: 6/23/2010 5:11:01 AM